bashbro(1)

NAME
bashbro - A Bash-based web file browser

SYNOPSIS
bashbro [-?|-h|-s|-p <#>|-j|-V]

DESCRIPTION

Bashbro allows remotely browsing, streaming, viewing and saving files via
web browser.

OPTIONS

-?|-h|--help
    - Help

-s|--start
    - Start bashbro HTTP file server

-p|--port
    <#> - Set port for bashbro to use

-j|--jail
    - Sets jail requires valid path to dir/file

-V|--verbose
    - Verbose

-v|--version
    - Display bashbro version

EXAMPLES

To start bashbro locally on port 5555:
bashbro -sp 5555
To start bashbro on port 6565 jailed to /tmp: bashbro -sp6565 -j/tmp

CAVEATS
When using Chrome browser localhost may be blocked, in that case use
your ip instead, for instance 192.168.1.55:8880.

FILES
/usr/bin/bashbro

BUGS
No known bugs. Report requests, issues and bugs to:
https://github.com/victrixsoft/bashbro/issues

COPYRIGHT
Copyright ©2024 Adam Danischewski, GNU GPL v3.0+
GNU GPL v3, <http://www.gnu.org/licenses/>

AUTHOR
Adam Danischewski <adam.danischewski@gmail.com>